| Home | Libraries | People | FAQ | More

##### basic_multi_buffer::commit

Append writable bytes to the readable bytes.

###### Synopsis

    void
    commit(
        size_type n);

###### Description

Appends n bytes from the start of the writable bytes to the end of the readable bytes. The remainder of the writable bytes are discarded. If n is greater than the number of writable bytes, all writable bytes are appended to the readable bytes.

All buffer sequences previously obtained using `prepare` are invalidated. Buffer sequences previously obtained using `data` remain valid.

###### Parameters

Name | Description
--- | ---
`n` | The number of bytes to append. If this number is greater than the number of writable bytes, all writable bytes are appended.

###### Exception Safety

No-throw guarantee.